{
    attributes = (
        {
            columnName = FANN_DEBUT; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FDSC_DEBUT; }; 
            name = fannDebut; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FANN_FIN; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FDSC_FIN; }; 
            name = fannFin; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FDSC_ABREVIATION; 
            externalType = VARCHAR2; 
            name = fdscAbreviation; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = FDSC_CODE; 
            externalType = VARCHAR2; 
            name = fdscCode; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            definition = "DECODE(nvl(toScolFormationDisciplinePere.fdscCode,''),'','',toScolFormationDisciplinePere.fdscCode||' / ')||fdscCode"; 
            externalType = VARCHAR2; 
            name = fdscCodeComplet; 
            valueClassName = NSString; 
            width = 25; 
        }, 
        {
            definition = "nvl(toScolFormationDisciplinePere.fdscCode,'')"; 
            externalType = VARCHAR2; 
            name = fdscCodePere; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            columnName = FDSC_KEY; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FDSC_FIN; }; 
            name = fdscKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FDSC_LIBELLE; 
            externalType = VARCHAR2; 
            name = fdscLibelle; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = FDSC_NIVEAU; 
            externalType = VARCHAR2; 
            name = fdscNiveau; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = FDSC_PERE; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FDSC_FIN; }; 
            name = fdscPere; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FDSC_VALIDITE; 
            externalType = VARCHAR2; 
            name = fdscValidite; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (fdscKey); 
    className = EOGenericRecord; 
    classProperties = (
        fdscCode, 
        fdscLibelle, 
        fdscAbreviation, 
        fdscValidite, 
        fannDebut, 
        fannFin, 
        fdscKey, 
        fdscPere, 
        fdscNiveau, 
        toScolFormationDisciplinePere, 
        fdscCodeComplet, 
        fdscCodePere
    ); 
    externalName = SCOL_FORMATION_DISCIPLINE; 
    fetchSpecificationDictionary = {}; 
    name = ScolFormationDiscipline; 
    primaryKeyAttributes = (fdscKey); 
    relationships = (
        {
            destination = ScolFormationDiscipline; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = fdscKey; sourceAttribute = fdscPere; }); 
            name = toScolFormationDisciplinePere; 
        }
    ); 
}
